package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.FileIO;
import javafx.scene.control.Alert;
import javafx.scene.control.ButtonBar;
import javafx.scene.control.ButtonType;

import java.util.logging.Logger;


/**
 * Class that is used to display the popup window to confirm a sensitive action of the user.
 */
public class AlertNewSchedule extends Alert {
    private final ButtonType yesButton = new ButtonType("Ja", ButtonBar.ButtonData.YES);
    private final ButtonType noButton = new ButtonType("Nein", ButtonBar.ButtonData.NO);
    private boolean result;

    private static final Logger logger = Logger.getLogger(FileIO.class.getCanonicalName());

    /**
     * Popup to ask the user if he is sure that he wants to reshuffle the game board.
     */
    public AlertNewSchedule() {
        super(AlertType.WARNING);
        logger.fine("Displaying Popup to ask user if he wants to reshuffle the game board");
        setTitle("Neu erstellen");
        setHeaderText("Spielplan neu erstellen?");
        setContentText("Sind Sie sicher, dass Sie den Spielplan neu erstellen moechten?\nAlle Spielfortschritte gehen daraufhin verloren!");
        getButtonTypes().setAll(yesButton, noButton);
    }

    /**
     * Result gathered from previous question popup window
     *
     * @return boolean true if yes button is pressed and false if no is pressed
     */
    public boolean showAndGetResult() {
        showAndWait().ifPresent(input -> {
            result = input == yesButton;
        });
        return result;
    }
}
